Subject: Re: [-next]: s390 *_irq() link errors

From: Jean Delvare <[email-masked]>
Date: Sun, 30 Sep 2012 12:05:16 +0200

On Sun, 30 Sep 2012 11:35:41 +0200, Geert Uytterhoeven wrote:
> On Sun, Sep 30, 2012 at 11:20 AM, Jean Delvare <[email-masked]> wrote:
> > On Sun, 30 Sep 2012 11:08:41 +0200, Geert Uytterhoeven wrote:
> >> On Sun, Sep 30, 2012 at 10:53 AM, Jean Delvare <[email-masked]> wrote:
> >> > I thought we were trying to move away from explicit arch exclusions,
> >> > but if S390 is special then fine with me. I've folded Heiko's fix into
> >>
> >> "depends on GENERIC_HARDIRQS" is the alternative...
> >
> > That would make even less sense to me, I2C can work just fine without
> > IRQs.
> 
> For the individual drivers that need it...

Oh, of course. Sorry I was probably not completely awaken ;)

Either way is fine with me if it makes developers and users happy.

-- 
Jean Delvare